SHEBANG
# Copyright Michael Deryugin (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-maildir.m4,v 1.4 2004/08/18 16:12:25 dem Exp $

JNTROSTUP(,,eximdnl
,dnl
# jailup exim-maildir <dirlist>
#     where dir relative to ${JAILRODIR}dnl
)

for jdir in "$@"; do
    conf_dir="${JAILRODIR}/${jdir}"
    main_dir="${JAILUPDIR}/${jdir}"
    if [ -e ${conf_dir}/exim/configure ]; then
        ${cp} -f "${TEMPLATE}-maildir" "${conf_dir}/exim/configure.sample"
    else
        ${cp} -f "${TEMPLATE}-maildir" "${conf_dir}/exim/configure"
    fi
    ${up_mdir} "${main_dir}" "${MTREE}-maildir"
    ${mtree} -Ueqxp "${main_dir}" -f "${MTREE}-maildir"
done
